Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class SchemaCategory

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.SchemaObject
                  oracle.ifs.beans.TieSchemaObject
                      oracle.ifs.beans.SchemaCategory

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SchemaObjectInterface, Traceable

Direct Known Subclasses:
  TieSchemaCategory

    public class SchemaCategory

extends TieSchemaObject

A SchemaCategory class is used to add custom meta-data to SchemaObjects on a per instance basis. In addition, Schema Categories can be added across different SchemaObject classes.

SchemaCategory subclasses can contain their own custom data, which effectively contain data about the SchemaObject with which the Category instance is associated. A SchemaObject can be associated with any Category, which allows different sets of data to be associated with instances of the same SchemaObject subclass. Additionally, SchemaObjects can be associated with multiple instances of Category subclasses.

(Published)

Field Summary
`static java.lang.String` | `ASSOCIATEDSCHEMAOBJECT_ATTRIBUTE` The SchemaObject that is associated with this Category.
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `DESCRIPTION_ATTRIBUTE` The description of this schema category

Fields inherited from class oracle.ifs.beans.SchemaObject
`ACTIVE_ATTRIBUTE, NAME_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `SchemaCategory(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Constructs a Schema Category object - standard variant.

Method Summary
`protected static SchemaCategory[]` | `constructCategoryArray(LibrarySession sess, java.lang.Long[] ids)` Construct a SchemaCategory array from an array of object IDs.
`protected static java.util.Vector` | `constructCategoryVector(LibrarySession sess, java.util.Vector vector)` Returns SchemaCategory Vector from a Vector of SchemaCategory.
`protected static SchemaCategory` | `constructSchemaCategory(LibrarySession sess, S_LibraryObjectData data)` Returns a SchemaCategory object from a SchemaCategory data object.
`SchemaObject` | `getAssociatedSchemaObject()` Gets the SchemaObject associated with this Category.
`java.lang.String` | `getDescription()` Returns the description of this object
`void` | `setDescription(java.lang.String description)` Updates the description of this object.

Methods inherited from class oracle.ifs.beans.SchemaObject
`addCategory, constructSchemaObject, constructSchemaObjectVector, free, getCategories, getCategories, getCategories, getCategories, getPolicyBundle, getPolicyLists, handleCreate, hasNameAttribute, isActive, postCreate, postUpdate, putPolicy, removeAllPolicies, removePolicy, removePolicy, setActive, setPolicyBundle, setPolicyLists`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, preCreate, preFree, prePostAuditEvent, preUpdate, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `SchemaCategory`
  This class name for this class. Useful for methods that take a class name argument.

  See Also:
    Constant Field Values
  (Published)

### DESCRIPTION_ATTRIBUTE

    public static final java.lang.String DESCRIPTION_ATTRIBUTE

  Description copied from class: `SchemaCategory`
  The description of this schema category

  See Also:
    Constant Field Values
  (Published)

### ASSOCIATEDSCHEMAOBJECT_ATTRIBUTE

    public static final java.lang.String ASSOCIATEDSCHEMAOBJECT_ATTRIBUTE

  Description copied from class: `SchemaCategory`
  The SchemaObject that is associated with this Category. This allows different sets of data to be associated with instances of the same SchemaObject subclass.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### SchemaCategory

    protected SchemaCategory(LibrarySession session,
                             java.lang.Long id,
                             java.lang.Long classId,
                             S_LibraryObjectData data)
                      throws IfsException

  Constructs a Schema Category object - standard variant.

  Parameters:
    `session` - current LibrarySession
    `id` - object id
    `classId` - class id
    `data` - data components
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### getDescription

    public java.lang.String getDescription()
                                    throws IfsException

  Description copied from class: `SchemaCategory`
  Returns the description of this object

  Returns:
    The object description
  Throws:
    `IfsException` - if operation fails.
  (Published)

### setDescription

    public void setDescription(java.lang.String description)
                        throws IfsException

  Description copied from class: `SchemaCategory`
  Updates the description of this object.

  Parameters:
    `description` - New description
  Throws:
    `IfsException` - if operation fails.
  (Published)

### getAssociatedSchemaObject

    public SchemaObject getAssociatedSchemaObject()
                                           throws IfsException

  Description copied from class: `SchemaCategory`
  Gets the SchemaObject associated with this Category.

  Returns:
    the SchemaObject
  Throws:
    `IfsException` - if operation fails
  (Published)

### constructCategoryVector

    protected static java.util.Vector constructCategoryVector(LibrarySession sess,
                                                              java.util.Vector vector)
                                                       throws IfsException

  Description copied from class: `SchemaCategory`
  Returns SchemaCategory Vector from a Vector of SchemaCategory.

  Parameters:
    `sess` - current LibrarySession
    `vector` - Vector of SchemaCategory objects.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### constructSchemaCategory

    protected static SchemaCategory constructSchemaCategory(LibrarySession sess,
                                                            S_LibraryObjectData data)
                                                     throws IfsException

  Description copied from class: `SchemaCategory`
  Returns a SchemaCategory object from a SchemaCategory data object.

  Parameters:
    `sess` - current LibrarySession
    `data` - the object containing SchemaCategory data
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### constructCategoryArray

    protected static SchemaCategory[] constructCategoryArray(LibrarySession sess,
                                                             java.lang.Long[] ids)
                                                      throws IfsException

  Description copied from class: `SchemaCategory`
  Construct a SchemaCategory array from an array of object IDs. This will throw an exception if any of the IDs cannot be converted into a Category.

  Parameters:
    `sess` - the requesting session
    `ids` - the array of object IDs
  Returns:
    the array of Categorys
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD